package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSUserComparator9;

@ObfuscatedName("ez")
public class UserComparator9 extends AbstractUserComparator implements RSUserComparator9 {
   @ObfuscatedName("at")
   final boolean reversed;

   public UserComparator9(boolean var1) {
      this.reversed = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lrh;Lrh;I)I",
      garbageValue = "573682833"
   )
   int method2994(Buddy var1, Buddy var2) {
      return Client.worldId == var1.world && var2.world == Client.worldId?(this.reversed?var1.method8171().method9958(var2.method8171()):var2.method8171().method9958(var1.method8171())):this.method8173(var1, var2);
   }

   public int compare(Object var1, Object var2) {
      return this.method2994((Buddy)var1, (Buddy)var2);
   }

   @ObfuscatedName("bo")
   @ObfuscatedSignature(
      descriptor = "(ILdt;ZI)I",
      garbageValue = "1141161217"
   )
   static int method2987(int var0, Script var1, boolean var2) {
      if(var0 == 5630) {
         Client.logoutTimer = 250;
         return 1;
      } else {
         return 2;
      }
   }

   @ObfuscatedName("na")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "40"
   )
   static final void method2988_base() {
      for(int var0 = 0; var0 < Players.Players_count; ++var0) {
         Player var1 = Client.players[Players.Players_indices[var0]];
         var1.method2394_base();
      }

   }
}
